Package com.io7m.waxmill.machines

# Interface WXMDeviceType.WXMDeviceFramebufferType

All Superinterfaces:
  `WXMDeviceType`

All Known Implementing Classes:
  `WXMDeviceFramebuffer`

Enclosing interface:
  WXMDeviceType

    @Immutable
    public static interface WXMDeviceType.WXMDeviceFramebufferType
    extends WXMDeviceType

A raw framebuffer device attached to a VNC server.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type | Interface | Description
  --- | --- | ---
  `static class` | `WXMDeviceType.WXMDeviceFramebufferType.WXMVGAConfiguration` | The VGA configuration used.

  ## Nested classes/interfaces inherited from interface com.io7m.waxmill.machines.WXMDeviceType

  `WXMDeviceType.Kind, WXMDeviceType.WXMDeviceAHCIDiskType, WXMDeviceType.WXMDeviceAHCIOpticalDiskType, WXMDeviceType.WXMDeviceE1000Type, WXMDeviceType.WXMDeviceFramebufferType, WXMDeviceType.WXMDeviceHostBridgeType, WXMDeviceType.WXMDeviceLPCType, WXMDeviceType.WXMDevicePassthruType, WXMDeviceType.WXMDeviceVirtioBlockStorageType, WXMDeviceType.WXMDeviceVirtioNetworkType, WXMDeviceType.WXMLPCTTYNames, WXMDeviceType.WXMSectorSizesType, WXMDeviceType.WXMStorageBackendFileType, WXMDeviceType.WXMStorageBackendType, WXMDeviceType.WXMStorageBackendZFSVolumeType, WXMDeviceType.WXMTTYBackendFileType, WXMDeviceType.WXMTTYBackendNMDMType, WXMDeviceType.WXMTTYBackendStdioType, WXMDeviceType.WXMTTYBackendType`

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `default java.lang.String` | `comment()` |
  `WXMDeviceSlot` | `deviceSlot()` |
  `default java.lang.String` | `externalName()` |
  `default int` | `height()` |
  `default WXMDeviceType.Kind` | `kind()` |
  `java.net.InetAddress` | `listenAddress()` |
  `int` | `listenPort()` |
  `default WXMDeviceType.WXMDeviceFramebufferType.WXMVGAConfiguration` | `vgaConfiguration()` |
  `boolean` | `waitForVNC()` |
  `default int` | `width()` |

  ### Methods inherited from interface com.io7m.waxmill.machines.WXMDeviceType

  `isConsoleDevice, isStorageDevice`

- ## Method Details

  - ### comment

    @Default default java.lang.String comment()
    Specified by:
      `comment` in interface `WXMDeviceType`
    Returns:
      A descriptive comment

  - ### kind

    default WXMDeviceType.Kind kind()
    Specified by:
      `kind` in interface `WXMDeviceType`
    Returns:
      The device kind

  - ### deviceSlot

    WXMDeviceSlot deviceSlot()
    Specified by:
      `deviceSlot` in interface `WXMDeviceType`
    Returns:
      The device slot

  - ### externalName

    default java.lang.String externalName()
    Specified by:
      `externalName` in interface `WXMDeviceType`
    Returns:
      The external name of the type (such as `ahci-cd`).

  - ### listenAddress

    java.net.InetAddress listenAddress()
    Returns:
      The IP address upon which the VNC server will listen

  - ### listenPort

    int listenPort()
    Returns:
      The port upon which the VNC server will listen

  - ### width

    @Default default int width()
    Returns:
      The width of the framebuffer

  - ### height

    @Default default int height()
    Returns:
      The height of the framebuffer

  - ### vgaConfiguration

    @Default default WXMDeviceType.WXMDeviceFramebufferType.WXMVGAConfiguration vgaConfiguration()
    Returns:
      The guest VGA configuration used

  - ### waitForVNC

    boolean waitForVNC()
    Returns:
      Delay booting until a VNC connection has arrived